<img src="./figures/Logo_KIT.svg" style="zoom:15%;float:right;" />

# Fakultät für Physik

## Physikalisches Praktikum P1 für Studierende der Physik

Versuch P1-71, 72, 73 (Stand: Dezember 2022)

[Raum F1-14](http://www-ekp.physik.uni-karlsruhe.de/~simonis/praktikum/layoutobjekte/Lageplan_P1.png)

# Spezifische Ladung des Elektrons

## Motivation

Das [Elektron](https://de.wikipedia.org/wiki/Elektron) wurde 1897 von [Joseph John Thomson](https://de.wikipedia.org/wiki/Joseph_John_Thomson) bei der systematischen Untersuchung der damals sogenannten [Kathodenstrahlen](https://de.wikipedia.org/wiki/Elektronenstrahl) entdeckt. Solche Untersuchungen wurden mit Apparaturen wie dem in diesem Versuch vorgestellten [Fadenstrahlrohr](https://de.wikipedia.org/wiki/Fadenstrahlrohr) durchgeführt. Damals wusste man nichts über die Existenz des Elektrons und hatte so gut wie keine Vorstellung über den elementaren Aufbau der Materie. Die Erkenntnis, dass es sich bei den Kathodenstrahlen um Teilchenstrahlen handelt und die Eigenschaften dieser Teilchen wurden der Natur in diesen Jahren Schritt für Schritt abgerungen. 

Heute kennen wir die Eigenschaften des Elektrons sehr genau. Wir wissen, dass die [Elementarladung](https://de.wikipedia.org/wiki/Elementarladung) $e=1,6\times10^{-19}\,\mathrm{C}$ in der Natur quantisiert auftritt. Die Masse des Elektrons von etwa $m_{\mathrm{e}}=511\,\mathrm{keV/c^{2}}$ ist uns bis auf die 11. Nachkommastelle bekannt. Eine kleinste Einheit der Masse wurTeilchenstrahlende bisher noch nicht beobachtet. Wir nehmen an, dass das Elektron ein punktförmiges Teilchen ohne weitere Struktur ist. Diese Annahme haben wir bisher bis auf Längenskalen von $10^{-19}\,\mathrm{m}$ getestet und bestätigt gefunden. 

Mit diesem Versuch lernen Sie die Methoden kennen, mit denen man vor über 100 Jahren das Tor in die faszinierende Welt der kleinsten bekannten Bausteine der Materie aufgetan hat. Gleichzeitig bieten Ihnen die sichtbar gemachten Bahnen der Elektronenstrahlen die Möglichkeit die Bewegungen von Ladungen in elektrischen und magnetischen Feldern im Experiment zu beobachten. Das Prinzip die Spuren geladener Teilchen für unsere Augen sichtbar zu machen liegt allen Experimenten der modernen Elementarteilchenphysik bis zum heutigen Tage zugrunde. Das gleiche gilt für das, was wir über die Bewegung geladener Spuren in Magnetfeldern wissen. 

## Anmerkungen zum Versuch Spezifische Ladung des Elektrons

Wir listen im Folgenden die wichtigsten **Lernziele** auf, die wir Ihnen mit dem Versuch **Spezifische Ladung des Elektrons** vermitteln möchten: 

- Sie üben sich im sicheren Umgang mit hohen Spannungen und Strömen. 
- Sie beobachten die sichtbaren Bahnen von Elektronenstrahlen in elektrischen und magnetischen Feldern und überprüfen einfache Gesetzmäßigkeiten der Elektrostatik.
- Sie nutzen das Magnetfeld einer langen Spule zu Kalibrationszwecken.
- Sie lernen die besondere Bedeutung von [Helmholtz-Spulen](https://de.wikipedia.org/wiki/Helmholtz-Spule) für die Erzeugung homogener magnetischer Felder kennen. Dies ist eine wichtige Anwendung des Gesetzes von [Biot-Savart](https://de.wikipedia.org/wiki/Biot-Savart-Gesetz).
- Sie vergegenwärtigen sich die Funktionsweise der [Hall-Sonde](https://de.wikipedia.org/wiki/Hall-Sensor) und üben sich im praktischen Umgang mit Hall-Sonden zur Vermessung magnetischer Felder. 
- Sie lernen das [Fadenstrahlrohr](https://de.wikipedia.org/wiki/Fadenstrahlrohr) als historisches Instrument zur Bestimmung der [spezifischen Ladung](https://de.wikipedia.org/wiki/Spezifische_Ladung) des Elektrons $e/m_{\mathrm{e}}$ und zur Untersuchung von Kathodenstrahlen kennen. 
- Sie vergegenwärtigen sich die technische Funktionsweise der [Braunschen Röhre](https://de.wikipedia.org/wiki/Kathodenstrahlr%C3%B6hre), deren Prinzip jeder Art von Röhrenmonitoren zugrunde liegt und lernen das Verfahren von Busch zur Bestimmung von $e/m_{\mathrm{e}}$ kennen. 

## Versuchsaufbau

Der Versuchsaufbau besteht aus zwei Teilen: Dem Aufbau zum Betrieb des Fadenstrahlrohrs und dem Aufbau zur Bestimmung von $e/m_{\mathrm{e}}$ nach [Hans Busch](https://de.wikipedia.org/wiki/Hans_Busch_(Physiker)). Den Messungen mit dem Fadenstrahlrohr geht die Vermessung des Magnetfelds im Inneren eines Helmholtz-Spulenpaars voran. Der Gesamtaufbau ist im folgenden Bild gezeigt: 

<img src="./figures/image1.jpg" style="zoom:60%;" />

Im Folgenden sind die wichtigsten Informationen der verwendeten Aufbauten für die einzelnen Versuchsteile näher beschrieben:

### Fadenstrahlrohr

<img src="./figures/Fadenstrahlrohr.png" style="zoom:60%;" />

In einem Plexiglaskasten befindet sich ein Fadenstrahlrohr. Dabei handelt es sich um einen teil-evakuierten, mit Wasserstoff gefüllten Glaskolben (mit einem Innendruck von $\approx 0,013\,\mathrm{mbar}$) mit einer geeigneten Vorrichtung zur Gewinnung und Beschleunigung von Elektronen zur Erzeugung eines kontinuierlichen Elektronenstrahls. Die Elektronen werden aus einer Glühkathode mit indirekter Heizung abgedampft und durch eine Ringanode unter hoher Spannung beschleunigt. Ein [Wehneltzylinder](https://de.wikipedia.org/wiki/Wehneltzylinder) dient zur Fokussierung des resultierenden Elektronenstrahls. Ein Schaltplan zur Versorgung der Apparatur mit den nötigen Spannungen ist in der obigen Skizze angegeben. Sie benötigen nur die grau markierten Spannungsanschlüsse. Einen ähnlichen Schaltplan finden Sie aTeilchenstrahlenuch an der Seite der Apparatur (siehe Bild oben in der Mitten der obigen Abbildung). 

Die Elektronen des Strahls stoßen auf ihrer Bahn durch den Kolben zufällig mit den Molekülen des Wasserstoffs, die so zu sichtbarem Leuchten angeregt werden. Auf diese Weise kann die Bahn des Elektronenstrahls sichtbar gemacht werden. Der Kolben befindet sich zentral zwischen zwei Helmholtz-Spulen, die im Folgenden auch mit $H_{1}$ (hintere Spule in Blickrichtung) und $H_{2}$ (vordere Spule in Blickrichtung) bezeichnet werden. Der Plexiglaskasten dient zu Ihrem Schutz für den unwahrscheinlichen Fall, dass der Glaskolben implodierten sollte. 

Alle Bauteile und Instrumente dieses Versuchsteils, die von Relevanz für Sie sein können, sind im Folgenden aufgelistet. 

- Fadenstrahlrohr versehen mit einem Spiegel und Schiebemarken für die Vermessung des Durchmessers $d$ der Bahn des Elektronenstrahls;  
- Helmholtz-Spulenpaar (Betrieb mit max. $2\,\mathrm{A}$); Windungszahl je Spule $N=130$; Radius $R=0.15\,\mathrm{m}$. Der Abstand der Spulen entspricht ebenfalls $R$; 
- Betriebsgerät für das Fadenstrahlrohr. Anodenspannung: $0-300\,\mathrm{V}$; Wehneltspannung: $-20-0\,\mathrm{V}$ (dabei muss der Frontplattenschalter nach oben zeigen); Heizspannung: $6,3\,\mathrm{V}$; 
- Gleichstromnetzgerät zur Erzeugung der Magnetfelder, für den Betrieb der Helmholtz-Spulen und der Zylinderspule zur die Eichung der Hall-Sonde.

### Vermessung des Magnetfelds im Inneren eines Helmholtz-Spulenpaars 

<img src="./figures/Kalibration.png" style="zoom:60%;" />

Zur Vorbereitung der Messungen mit dem Fadenstrahlrohr steht Ihnen zudem das folgende Zubehör zur Verfügung:

- Eine zusätzliche, einzelne Helmholtz-Spule in zu $H_{1}$ und $H_{2}$ baugleicher Art, im Folgenden auch mit $H_{3}$ bezeichnet. Diese ist fest auf eine Bodenplatte mit aufrecht montiertem Messbrett aufgeschraubt. Die Bodenplatte lässt sich in eine Aluminiumhalterung am Plexiglaskasten schieben, so dass der Abstand zwischen $H_{3}$ und $H_{2}$ genau dem Abstand zwischen $H_{1}$ und $H_{2}$ entspricht. Die Bohrungen im Messbrett dienen als Halterungen für die Hall-Sonde. Sie haben jeweils einen Abstand von $3\,\mathrm{cm}$ zueinander; Das Messbrett ist mit einem $\mathrm{mm}$-Maßstab versehen.
- Taschenlampen;
- Hall-Sonde mit Betriebsgerät und darin integriertem TeilchenstrahlenMillivoltmeter zur Anzeige der Hall-Spannung $U_{\mathrm{H}}$ (Genauigkeit $\pm$1%);
- Multimeter zur Strom- und Spannungsmessung;
- Eine lange Zylinderspule zur Eichung der Hall-Sonde. Betriebsstrom maximal $0,8\,\mathrm{A}$; $L = 300\,\mathrm{mm}$; Durchmesser $\varnothing= 20\,\mathrm{mm}$; Anzahl der Windungen $N = 750\pm 1\%$.

### Oszillographenröhre für das Verfahren von Busch 

<img src="./figures/BuschVerfahren.png" style="zoom:100%;" />

In einem Plexiglaszylinder befindet sich eine Oszillographenröhre (vom Typ [DG7-32](http://www.r-type.org/exhib/aar0022.htm)). Diese besitzt zwei Paare von Kondensator-(Deflektor-)platten zur Ablenkung des Elektronenstrahls in (Position $d_{1}$) $x$- und (PositiTeilchenstrahlenon $d_{2}$) $y$-Richtung.  Der Plexiglaszylinder befindet sich im Magnetfeld $\vec{B}$ einer Spule. Zu Anschauungszwecken lässt sich diese Spule zurück schieben, so dass Sie die darin befindliche Oszillographenröhre sehen können. Die Anordnung wird so betrieben, dass $\vec{B}$ parallel zum elektrischen Feld $\vec{E}$ der Beschleunigungsspannung $U$ für die Elektronen in der Röhre ausgerichtet ist. Für alle weiteren Betrachtungen legen wir diese Richtung als $z$-Richtung fest. Ohne zusätzliche Beschleunigung senkrecht zu $\hat{z}$ erfahren die Elektronen durch $\vec{B}$ keine Ablenkung und der Elektronenstrahl erscheint in einem Punkt auf dem Schirm $S$. 

Wir stellen uns zunächst vor, dass eine zeitlich veränderliche, positive Spannung $U_{y}(t),$ mit Werten in $[0;U_{0}]$, z.B. an die Deflektorplatten für die Ablenkung des Elektronenstrahls in $y$-Richtung angelegt ist. Diese Spannung führt zu einer Kreisbahn der Elektronen in der $xy$-Ebene. Im Raum bilden die Trajektorien der Elektronen eine Schar von Spiralbahnen oberhalb der $z$-Achse aus. Nachdem die Elektronen die Kreisbahnen in der $xy$-Ebene vollständig durchlaufen haben, treffen diese Trajektorien unabhängig von $U_{y}$ im Punkt $z_{0}$ wieder mit der $z$-Achse zusammen. Der genaue Wert von $z_{0}$ hängt dabei von $U$ und $B=|\vec{B}|$ ab. Fällt $z_{0}$ mit der Position von $S$ entlang der $z$-Achse zusammen erscheint der Elektronenstrahl, unabhängig von $U_{y}$, darauf ebenfalls als Punkt. Für jede andere Positionen in $z\neq n\,z_{0},\,n\in\mathbb{N}$ verlaufen die Trajektorien oberhalb der $z$-Achse. Sie nehmen dabei in einem Punkt $z_{\mathrm{max}}$ auch ihren maximalen Abstand $a_{\mathrm{max}}$ von der $z$-Achse an. Der Betrag von $a_{\mathrm{max}}$ hängt von $U_{y}(t)$ ab, das selbst (als zeitlich veränderliche Spannung) wiederum jeden Wert zwischen 0 und $U_{0}$ annehmen kann. Daher wird, wenn die Position von $S$ entlang der $z$-Achse nicht mit $z_{0}$ zusammenfällt, der Elektronenstrahl dort als Strich sichtbar. Erweitern wir den Wertebereich von $U_{y}$ auf $[-U_{0};U_{0}]$ erhalten wir eine analoge Schar von Spiralbahnen unterhalb der $z$-Achse, die die $z$-Achse ebenfalls, unabhängig von $U_{y}$, in $z_{0}$ wieder berühren. Der Strich, wenn die Position von $S$ entlang der $z$-Achse nicht mit $z_{0}$ zusammenfällt, erweitert sich entsprechend in die negative $y$-Richtung.

Für feste Werte von $U$ lässt sich $B$ so justieren, dass der Elektronenstrahl auf dem Weg vom entsprechenden Deflektorzentrum $d_{i}$ zu $S$ in der $xy$-Ebene genau einen Vollkreis durchläuft und die feste Position von $S$ entlang der $z$-Achse mit $z_{0}$ zusammenfällt.  

Für die Messung von $e/m_{\mathrm{e}}$ nach Busch steht Ihnen das folgende weitere Zubehör zur Verfügung:

- TeilchenstrahlenOszillographenröhre (Typ DG7-32); Abstände der beiden Deflektorzentren $d_{1}$ und $d_{2}$ von $S$: $d_{S}-d_{1}=(88\pm 1)\,\mathrm{mm}$, $d_{S}-d_{2} =(70\pm 1)\,\mathrm{mm}$); $S$ befindet sich im Abstand $d_{S}=150\,\mathrm{mm}$ vom Eintrittspunkt $E$ des Elektronenstrahls in die Spule aus Sicht der Glühkathode (siehe obige Abbildung). 

- Betriebsgerät für die Oszillographenröhre. Beschleunigungsspannung: $0-700\,\mathrm{V}$ (Intensität und Fokus sind ebenfalls justierbar);  

- Netzgerät zur Erzeugung der Spannungen für die Deflektorplatten (zur Einspeisung ins Betriebsgerät); 

- Zylinderspule (Betrieb mit max. $2\,\mathrm{A}$) mit den folgenden Spezifikationen:  $L=(200\pm 0,5)\,\mathrm{mm}$; $R =(45\pm 0,5)\,\mathrm{mm}$; $N = 3000$ Windungen; 

- Wir legen den Nullpunkt auf der $z$-Achse mit dem Eintritt $E$ der Elektronen in die Spule aus Richtung der Glühkathode fest (siehe obige Abbildung). Der Schirm $S$ befindet sich dann bei $d_{z}=150\,\mathrm{mm}$. Beachten Sie, dass die Spule hierzu bis zum Anschlag an die Plexiglaskonstruktion geschoben sein muss. 

## Anmerkungen zu den Versuchen

- **Achtung: Für diese Versuche werden gefährliche elektrische Spannungen verwendet!** Während des Aufbaus und während aller Veränderungen an den Schaltungen dürfen daher *keine* Geräte eingeschaltet sein. Bei jeder neuen Schaltung ist das erste Einschalten nur nach Kontrolle durch den Betreuer erlaubt. 

- **Achtung: Sie haben nicht nur mit hohen elektrischen Spannungen sondern auch mit magnetischen Feldern zu tun.** Stromdurchflossene Leiter haben induktive Impedanzen. Schalten Sie die Stromversorgung der Magnetspulen nicht plötzlich aus, sondern regeln Sie sie bei den Ein-/Ausschaltvorgängen nach oben/unten bevor Sie die Netzgeräte ein-/ausschalten.  

- Vermeiden Sie hohe Leuchtdichten an der Oszillographenröhre bei der Bestimmung von $e/m_{\mathrm{e}}$ nach dem Verfahren von Busch, damit der Schirm nicht einbrennt. Der mechanische Aufbau im Innern einer Oszillographenröhre ist nicht so perfekt, dass der Strahl die Schirmmitte treffen muss. Es handelt sich dabei nicht um einen Fehler am Gerät.

- Sie können wahlweise das erste Paar von Deflektorplatten der Oszillographenröhre (im Abstand $d_1$ zu $S$) oder das zweite Paar (im Abstand $d_2$ zu $S$) für Ihre Messung verwenden.


## Aufgabe 1: Bestimmung der spezifischen Ladung des Elektrons mit dem Fadenstrahlrohr

### Aufgabe 1.1: Vermessung des Magnetfelds im Inneren eines [Helmholtz-Spulenpaars](https://de.wikipedia.org/wiki/Helmholtz-Spule)

Bauen Sie vor dem Plexiglaskasten des Fadenstrahlrohrs die zusätzliche Helmholtzspule $H_{3}$ und die Messplatte $M$ so auf, dass sich $M$ in der Mittelebene zwischen $H_{2}$ und $H_{3}$ befindet. Dies ist i.a. durch die feste Konstruktion bereits der Fall. Achten Sie auf den Abstand zwischen $H_{2}$ und $H_{3}$, der dem Radius der Spulen entsprechend sollte. Die Anordnung gleicht somit der Anordnung von $H_{1}$ und $H_{2}$, in der sich das Fadenstrahlrohr befindet. An einigen vorgesehenen Stellen besitzt $M$ Bohrungen in denen Sie die Hall-Sonde befestigen können. Messen Sie $U_{\mathrm{H}}$ an den vorgesehenen Stellen für die Spulenströme $1,0$, $1,5$ und $2,0\,\mathrm{A}$. Beachten Sie hierzu Anmerkung 1.1.

### Aufgabe 1.2: Kalibration der Hall-Sonde

Das Magnetfeld einer langen Spule lässt sich mit Hilfe des [Ampèreschen Gesetzes](https://de.wikipedia.org/wiki/Amp%C3%A8resches_Gesetz#Magnetfeld_der_Spule) leicht berechnen: 
$$
B_{0}(I, N, \ell) = \mu_{0}\,\frac{N\,I}{\ell},
$$
wobei $\mu_{0}$ der [magnetischen Feldkonstanten](https://de.wikipedia.org/wiki/Magnetische_Feldkonstante), $I$ dem Strom durch die Spule, $N$ der Anzahl der Windungen und $\ell$ der Länge der Spule entsprechen. 

Kalibrieren Sie die Hall-Sonde mit Hilfe von Gleichung (1). Messen Sie hierzu etwa 10 Wertepaare aus $U_{\mathrm{H}}$ und $I$ und bestimmen Sie daraus eine Eichgerade $B(U_{\mathrm{H}})$. Mit Hilfe dieser Eichgeraden können Sie die in Aufgabe 1.1 bestimmten Werte von $U_{\mathrm{H}}$ in magnetische Feldstärken $B(U_{\mathrm{H}})$ übersetzen. Die Kalibration erfolgt nach der eigentlichen Ausmessung des Magnetfeldes mit der Hall-Sonde, damit Sie wissen, welcher Wertebereich von $U_{\mathrm{H}}$ für die Kalibration von Relevanz ist.  

### TeilchenstrahlenAufgabe 1.3: Vergleich der gemessenen Werte mit der Erwartung 

Unter der Bedingung, das der Abstand zwischen $H_{2}$ und $H_{3}$ dem Radius $R$ der Spulen entspricht ist davon auszugehen, dass die [Stärke des Magnetfelds $B(r)$ auf der radialen Symmetrieachse des Spulenpaares](https://de.wikipedia.org/wiki/Helmholtz-Spule#Berechnung_der_magnetischen_Flussdichte) besonders homogen ist. Dabei bezeichnet $r$ den radialen Abstand von der Symmetrieachse. In diesem Fall erwartet man nach dem Gesetz von Biot-Savart die Feldstärke

$$
B(r=0) = \frac{8}{\sqrt{125}}\,\frac{\mu_{0}\,N\,I}{R},
$$
wobei $I$ dem Strom durch das Spulenpaar, $N$ der Anzahl der Windungen pro Spule und $R$ dem Radius der Spulen entsprechen. Dieser Formel liegt die Annahme zugrunde, dass beide Spulen in allen in Gleichung (2) auftauchenden Parametern baugleich sind. Vergleichen Sie Ihren gemessenen Wert des Feldes für $r=0$ zwischen $H_{2}$ und $H_{3}$ mit dem nach Gleichung (2) erwarteten Wert. Diskutieren Sie die Homogenität von $B(r)$ für die vorliegende Spulenanordnung. 

### Aufgabe 1.4: Durchmesser der ElektronenkreTeilchenstrahlenisbahnen im Fadenstrahlrohr

In einem homogenen Magnetfeld der Stärke $\vec{B}$ wird der Elektronenstrahl senkrecht zu seiner Bewegungsrichtung durch die Lorentz-Kraft abgelenkt. Tritt der Strahl senkrecht zu $\vec{B}$ in das Feld gilt: 
$$
e\,B\,v = m_{\mathrm{e}}\,\frac{v_{\mathrm{e}}^{2}}{r}, \qquad \frac{e}{m_{\mathrm{e}}}= \frac{v_{\mathrm{e}}}{B\,r},
$$
wobei $v_{\mathrm{e}}$ die Geschwindigkeit der Elektronen und $r$ der Radius des Strahls sind. Aus der am Fadenstrahlrohr anliegenden Beschleunigungsspannung $U$ lässt sich $v_{\mathrm{e}}$ wie folgt bestimmen:
$$
e\,U = \frac{m\,v_{\mathrm{e}}^{2}}{2}, \qquad v_{\mathrm{e}} = \sqrt{2\,U\,\frac{e}{m_{\mathrm{e}}}}.
$$
Aus den Gleichungen (3) und (4) ergibt sich der Zusammenhang
$$
\frac{8\,U}{B^{2}} = \frac{e}{m_{\mathrm{e}}}\,\frac{1}{d^{2}},
$$
aus dem Sie $e/m_{\mathrm{e}}$ als Steigung einer Ursprungsgeraden bestimmen können. 

Messen Sie den Durchmesser $d=2\,r$ der Kreisbahn des Elektronenstrahls im Fadenstrahlrohr. Bauen Sie hierzu die Zusatzspule ab. Schließen Sie das Fadenstrahlrohr, wie in der obigen Skizze angegeben an. Benutzen Sie an den vorgesehenen Stellen die Sicherheitskabel. Gehen Sie dann wie folgt vor: 

#### Aufgabe 1.4.1

Bestimmen Sie $d$ als Funktion der Anodenspannung (z.B. mit sechs Messpunkten  $100$; $125$; $\ldots 250\,\mathrm{V}$) bei zwei Spulenströmen (z.B. $1\,\mathrm{A}$ und $2\,\mathrm{A}$).

#### Aufgabe 1.4.2

Bestimmen Sie $d$ als Funktion des Spulenstroms (z.B. mit zehn Messpunkten $1,0$; $1,2$; $\ldots 2,0\,\mathrm{A}$) bei zwei Anodenspannungen (z.B. $125\,\mathrm{V}$ und $250\,\mathrm{V}$).

Beachten Sie hierzu Anmerkung 1.2. Tragen Sie die Ergebnisse zur Kontrolle der theoretischen Abhängigkeiten zunächst in geeignete nach Aufgabe 1.4.1 und Aufgabe 1.4.2 getrennte Koordinatensysteme ein. Fassen Sie dann alle Ergebnisse in einem geeigneten Koordinatensystem zusammen und entnehmen Sie diesem den Wert von $e/m_{\mathrm{e}}$.

## Anmerkungen zu Aufgabe 1

### Anmerkung 1.1

Der angezeigte Wert von $U_{\mathrm{H}}$ hängt von der Temperatur der Hall-Sonde ab. Achten Sie daher während des Betriebs darauf, dass die Sonde nicht allzu starken Temperaturänderungen ausgesetzt ist. Lassen Sie die Sonde z.B. nicht allzu lange eingeschaltet, damit sie nicht überhitzt.

### Anmerkung 1.2

Den [Parallaxenfehler](https://de.wikipedia.org/wiki/Parallaxenfehler) bei der Bestimmung von $d$ können Sie mit Hilfe der verschiebbaren Marken vor, und des Spiegels hinter dem Fadenstrahlrohr minimieren. Achten Sie darauf, dass das Fadenstrahlrohr so in der Halterung orientiert ist, dass sich Kreisbahnen und keine Spiralen ergeben.

### Anmerkung 1.3 

Einen gelungen *virtuellen* Aufbau zur Bestimmung der spezifischen Ladung des Elektrons mit Hilfe des Fadenstrahlrohrs können Sie unter der Webseite [virtuelle-experimente.de](https://virtuelle-experimente.de/b-feld/e-m-bestimmung/edurchm.php) im Internet finden.  

#### Lösung:

*Sie können Ihre Lösung/Ihr Protokoll direkt in dieses Dokument einfügen. Wenn Sie dieses Dokument als Grundlage für ein [Jupyter notebook](https://jupyter.org/) verwenden wollen können Sie die Auswertung, Skripte und ggf. bildliche Darstellungen mit Hilfe von [python](https://www.python.org/) ebenfalls hier einfügen. Löschen Sie hierzu diesen kursiv gestellten Text aus dem Dokument.*

## Aufgabe 2: Bestimmung der spezifischen Ladung des Elektrons nach der Methode von Busch

### Aufgabe 2.1: Vorbereitung der Messung

Die Oszillographenröhre innerhalb des Plexiglaszylinders wird über das in der obigen Abbildung gezeigte, zugehörige Steuerpult mit allen notwendigen Spannungen versorgt. Die Deflektorspannung kann wahlweise mit einem der beiden Paare von Deflektorplatten verbunden werden wobei beide Platten des ungenutzten Paares mit den Kurzschlussbrücken auf Masse gelegt werden müssen. Zur Vorbereitung der Messung gehen Sie wie folgt vor:

- Stellen Sie eine niedrige Beschleunigungsspannung (von z.B. $\approx 300\,\mathrm{V}$) ein. 
- Wählen Sie bei $B=0$ die Deflektorspannung so, dass ein maximal langer Strich auf dem Schirm erscheint. 
- Stellen Sie die Intensität und den Fokus des beobachteten Signals sinnvoll ein. 
- Steigern Sie dann langsam den Magnetspulenstrom und beobachten Sie die resultierende Bildveränderung. Diskutieren Sie deren Zustandekommen. 
- Stellen Sie schließlich den Spulenstrom so ein, dass alle Elektronen den Schirm wieder in einem Signalpunkt treffen. Versuchen Sie auch einen höheren Spulenstrom einzustellen, bei dem sich der auf dem Schirm beobachtete Strich erneut zu einem Punkt zusammenzieht.

### Aufgabe 2.2: Bestimmung von $e/m_{\mathrm{e}}$ 

Messen Sie für Beschleunigungsspannungen von $U = 200\,\ldots 700\,\mathrm{V}$ (in Schritten von $50\,\mathrm{V}$) den nötigen Spulenstrom $I$, um auf dem Schirm einen Signalpunkt zu erzeugen. Gehen Sie dabei, für jeden Messpunkt, wie in Aufgabe 2.1 beschrieben vor. Tragen Sie $U$ über $I^{2}$ auf und ermitteln Sie $e/m_{\mathrm{e}}$ aus der Geradensteigung. 

## Anmerkungen zu Aufgabe 2

### Anmerkung 2.1

Beim hier verwendeten Aufbau müssen Sie den einfachen Zusammenhang für eine als *lang* angenommene Spule aus Gleichung (1), der folgenden empirischen Formel
$$
\begin{equation}
\begin{split}
B(a, I, \ell)&=B_{0}
\left(0,567\left(
\frac{a}{\sqrt{R^{2}+a^{2}}}+
\frac{\ell-a}{\sqrt{R^{2}+(\ell-a)^{2}}}
\right)\right) \\ 
&
\vphantom{
\left(0,567\left(
\frac{a}{\sqrt{R^{2}+a^{2}}}+
\frac{\ell-a}{\sqrt{R^{2}+(\ell-a)^{2}}}
\right)\right)
}
=\kappa\,I \\
\end{split}
\end{equation}
$$
gemäß modifizieren. Dabei ist $a$ der Abstand von $B$ (auf der $z$-Achse) vom Spulenende in $E$, $\ell$ die Länge und $R$ der mittlere Radius der Spule; $B_{0}$ ist aus Gleichung (1) zu entnehmen. Einen Vergleich der mit Hilfe von Gleichung (6) bestimmten, erwarteten Werte von $B$ mit einer Kalibrationsmessung, für fünf verschiedene Magnetspulenströme $I$ ist in der folgenden Abbildung gezeigt: 

<img src="./figures/Busch-Magnetfeld.png" style="zoom:80%;" />

Dabei entspricht der $0$-Punkt auf der $x$-Achse der Abbildung dem Eintritt des Elektronenstrahls in die Spule bei $E$ (siehe obige Abbildung); $a$ ist in $\mathrm{mm}$ und $B$ in $\mathrm{mT}$ angegeben. Die Markierungen entsprechen den Messpunkten und die gestrichelten Linien der entsprechenden Erwartung nach Gleichung (6). 

Der Zusammenhang zwischen der Geschwindigkeit der Elektronen in $z$-Richtung und der Beschleunigungsspannung an der Oszillographenröhre 
$$
v_{z} = \sqrt{2\,U\,e/m_{\mathrm{e}}}
$$
ergibt sich aus Gleichung (4). Für die Kreisbahn der Elektronen in der $xy$-Ebene ergibt sich: 
$$
\begin{equation}
\begin{split}
e/m_{\mathrm{e}}\,\langle B\rangle = \omega = 2\,\pi\frac{v_{z}}{d_{S}-d_{i}},
\end{split}
\end{equation}
$$
wobei $\omega$ der Kreisfrequenz der Bewegung, $d_{S}$ dem Abstand des Schirms und $d_{i}$ dem Abstand des Zentrums des gewählten Deflektorplattenpaars von $E$ entsprechen (siehe obige Abbildung). Beachten Sie, das $\langle B\rangle$ in Gleichung (8) dem gemittelten Magnetfeld 
$$
\langle B\rangle = \frac{1}{d_{S}-d_{i}} \int\limits_{d_{i}}^{d_{S}}B(a, I, N, \ell)\,\mathrm{d}a
$$
entspricht. Bei $\kappa$ handelt es sich um einen Geometriefaktor, der vom gewählten Deflektorplattenpaar abhängt. 

#### Lösung:

*Sie können Ihre Lösung/Ihr Protokoll direkt in dieses Dokument einfügen. Wenn Sie dieses Dokument als Grundlage für ein [Jupyter notebook](https://jupyter.org/) verwenden wollen können Sie die Auswertung, Skripte und ggf. bildliche Darstellungen mit Hilfe von [python](https://www.python.org/) ebenfalls hier einfügen. Löschen Sie hierzu diesen kursiv gestellten Text aus dem Dokument.*

